package com.persagy.adm.server.custom.dto;


import com.persagy.adm.server.custom.entity.CadFileInfo;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

@Data
public class CadFiles {
    @NotBlank(message = "floorId不能为空")
   private String floorId;
    @NotBlank(message = "buildingId不能为空")
    private String buildingId;
    @NotBlank(message = "majorCode不能为空")
    private String majorCode;
    @NotBlank(message = "majorName不能为空")
    private String majorName;

    @NotNull(message = "文件列表不能为空")
    @Size(min = 0,max = 1000)
    private List<CadFileInfo> files;
}
